<?php
namespace EpTest\TecDoc;

use Ep\TecDoc\ConfigProvider;
use EpTest\ContainerAwareTrait;

/**
 * Class TecDocAwareTrait
 *
 * @package EpTest\TecDoc
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
trait TecDocAwareTrait
{
    use ContainerAwareTrait {
        createContainer as __createContainer;
    }

    public function createContainer()
    {
        $config = new ConfigProvider();

        return $this->__createContainer(array_merge($config(), [
            'tecdoc' => [
                'provider' => 20749,
                'manufacturers' => [
                    2, 5, 16, 56, 819, 138, 20, 21, 139, 185, 25, 29, 35, 36, 45, 183, 1526, 882, 184, 64, 1820, 842, 72, 74,
                    1523, 77, 80, 84, 88, 92, 93, 95, 99, 104, 106, 1138, 107, 109, 111, 117, 120, 121, 186, 124, 3854, 3328
                ],
            ],
        ]));
    }
}